# explicitly define, as we build on top of an scl, not inside with scl_package
%{?scl:%global scl_prefix %{scl}-}

Name:       satellite
Version:    6.13.0
Release:    6%{?dotbetatag}%{?dist}
Summary:    A package for managing application life-cycle for Linux systems
BuildArch:  noarch
Group:      Applications/Internet
License:    GPLv2
URL:        https://access.redhat.com/products/red-hat-satellite
Source0:    satellite-restore
Source1:    satellite-backup
Source2:    satellite-change-hostname
Source3:    satellite-change-hostname.8.asciidoc
Source4:    metadata.yml
Source5:    satellite.facts

BuildRequires: asciidoc
BuildRequires: sed

Requires: foreman >= 3.5.0
Requires: foreman-dynflow-sidekiq
Requires: foreman-service
Requires: katello >= 4.7.0
Requires: %{?scl_prefix}rubygem(foreman_ansible)
Requires: %{?scl_prefix}rubygem(foreman_azure_rm)
Requires: %{?scl_prefix}rubygem(foreman_discovery)
Requires: %{?scl_prefix}rubygem(foreman_bootdisk)
Requires: %{?scl_prefix}rubygem(foreman_hooks)
Requires: %{?scl_prefix}rubygem(foreman_google)
Requires: %{?scl_prefix}rubygem(foreman_remote_execution)
Requires: %{?scl_prefix}rubygem(foreman_theme_satellite)
Requires: %{?scl_prefix}rubygem(foreman_templates)
Requires: %{?scl_prefix}rubygem(foreman_virt_who_configure)
Requires: puppet-foreman_scap_client
Requires: satellite-cli
Requires: satellite-common

Requires: foreman-libvirt
Requires: foreman-ovirt
Requires: foreman-vmware
Requires: foreman-ec2
Requires: foreman-openstack

Requires: ansible-collection-redhat-satellite_operations

%build
mkdir -p ./manpages
cp %{SOURCE3} ./manpages
pushd ./manpages
a2x -d manpage -f manpage satellite-change-hostname.8.asciidoc
gzip -f9 satellite-change-hostname.8
popd

%install
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}/%{_mandir}/man8
mkdir -p %{buildroot}/usr/share/satellite
mkdir -p %{buildroot}/etc/rhsm/facts
install -Dp -m0755 %{SOURCE0} %{buildroot}%{_sbindir}/satellite-restore
install -Dp -m0755 %{SOURCE1} %{buildroot}%{_sbindir}/satellite-backup
install -Dp -m0755 %{SOURCE2} %{buildroot}%{_sbindir}/satellite-change-hostname
install -m 644 ./manpages/satellite-change-hostname.8.gz %{buildroot}/%{_mandir}/man8

# Record the version in a known location and as a fact that is sent
# up through subscription-manager
install -Dp -m0755 %{SOURCE4} %{buildroot}/usr/share/satellite/metadata.yml
sed -i "s/@SATELLITE_VERSION@/%{version}%{?betatag: Beta}/" %{buildroot}/usr/share/satellite/metadata.yml
install -Dp -m0755 %{SOURCE5} %{buildroot}/etc/rhsm/facts/satellite.facts
install -Dp -m0755 %{SOURCE5} %{buildroot}/etc/rhsm/facts/capsule.facts
sed -i "s/@SATELLITE_VERSION@/%{version}%{?betatag: Beta}/" %{buildroot}/etc/rhsm/facts/satellite.facts
sed -i "s/@SATELLITE_VERSION@/%{version}%{?betatag: Beta}/" %{buildroot}/etc/rhsm/facts/capsule.facts
sed -i "s/@INSTALL_TYPE@/satellite/" %{buildroot}/etc/rhsm/facts/satellite.facts
sed -i "s/@INSTALL_TYPE@/capsule/" %{buildroot}/etc/rhsm/facts/capsule.facts


%description
Provides a package for managing application life-cycle for Linux systems.

%files
%{_sysconfdir}/rhsm/facts/satellite.facts

%package common
BuildArch: noarch
Summary:   Satellite Common

Requires: foreman-proxy
Requires: foreman-bootloaders-redhat
Requires: foreman-bootloaders-redhat-tftpboot
Requires: katello-debug
Requires: satellite-installer
Requires: ansiblerole-insights-client
Requires: ansiblerole-foreman_scap_client
Requires: katello-client-bootstrap
Requires: satellite-maintain
Requires: rsyslog

# BZ 1747751
Requires: %{?scl_prefix}rubygem-rbnacl
Requires: libsodium

# Obsoletes since Satelite 6.12
Obsoletes: rubygem-fog-google < 1.19.0-2
Obsoletes: rubygem-google-api-client < 0.33.2-3

%description common
Common packages and tools required by Satellite or a Capsule

%files common
%{_sbindir}/satellite-restore
%{_sbindir}/satellite-backup
%{_sbindir}/satellite-change-hostname
%{_mandir}/man8/satellite-change-hostname.8*
%{_datadir}/satellite/metadata.yml

%package capsule
BuildArch: noarch
Summary:   Satellite Capsule

Requires: foreman-proxy-content
Requires: satellite-common

%description capsule
Installation of a Satellite capsule

%files capsule
%{_sysconfdir}/rhsm/facts/capsule.facts

%package cli
BuildArch: noarch
Summary:   Provides the Satellite command line interface

Requires: foreman-cli
Requires: %{?scl_prefix}rubygem(hammer_cli_foreman)
Requires: %{?scl_prefix}rubygem(hammer_cli_foreman_ansible)
Requires: %{?scl_prefix}rubygem(hammer_cli_foreman_azure_rm)
Requires: %{?scl_prefix}rubygem(hammer_cli_foreman_bootdisk)
Requires: %{?scl_prefix}rubygem(hammer_cli_foreman_discovery)
Requires: %{?scl_prefix}rubygem(hammer_cli_foreman_google)
Requires: %{?scl_prefix}rubygem(hammer_cli_foreman_openscap)
Requires: %{?scl_prefix}rubygem(hammer_cli_foreman_remote_execution)
Requires: %{?scl_prefix}rubygem(hammer_cli_foreman_tasks)
Requires: %{?scl_prefix}rubygem(hammer_cli_foreman_templates)
Requires: %{?scl_prefix}rubygem(hammer_cli_foreman_virt_who_configure)
Requires: %{?scl_prefix}rubygem(hammer_cli_katello)
Requires: %{?scl_prefix}rubygem(hammer_cli_foreman_admin)
Requires: %{?scl_prefix}rubygem(hammer_cli_foreman_webhooks)

%description cli
Allows managing a Satellite server through a command line interface.

%files cli

%changelog
* Tue Feb 07 2023 Patrick Creech <pcreech@redhat.com> - 6.13.0-6
- Remove explicit requires on "foreman-google", it is a plugin.  

* Fri Feb 03 2023 Eric D. Helms <ericdhelms@gmail.com> - 6.13.0-5
- Require foreman-google

* Fri Jan 20 2023 Evgeni Golov - 6.13.0-4
- BZ#2160524 - Obsolete rubygem-google-api-client

* Wed Jan 18 2023 Evgeni Golov - 6.13.0-3
- BZ#2160524 - Obsolete rubygem-fog-google

* Wed Jan 18 2023 Evgeni Golov - 6.13.0-2
- BZ#2160508 - drop the ansible-core version restriction

* Wed Nov 16 2022 Zach Huntington-Meath <zhunting@redhat.com> - 6.13.0-1
- Update to Satellite 6.13.0
- Drop EL7 and outdated obsoletes

* Tue Nov 15 2022 Eric D. Helms <ericdhelms@gmail.com> - 6.13.0-3.stream
- Allow ansible-core 2.13

* Wed Nov 09 2022 Patrick Creech <pcreech@redhat.com> - 6.13.0-2.stream
- Remove foreman-gce

* Thu Nov 03 2022 Zach Huntington-Meath <zhunting@redhat.com> - 6.13.0-1.stream
- Initial stream build

* Thu Aug 25 2022 Eric D. Helms <ericdhelms@gmail.com> - 6.12.0-2
- Require rsyslog for persistent logging

* Tue Jul 12 2022 Patrick Creech <pcreech@redhat.com> - 6.12.0-1
- Release satellite 6.12.0

* Tue May 31 2022 Patrick Creech <pcreech@redhat.com> - 6.11.0-2
- BZ #2076987 - After upgrade any foreman-rake command shows 'ErbParser' and 'RubyParser' are ignored.

* Mon May 16 2022 Patrick Creech <pcreech@redhat.com> - 6.11.0-1
- Remove beta from package

* Wed Apr 27 2022 Eric D. Helms <ericdhelms@gmail.com> - 6.11.0-0.11.beta
- Require ansible-collection-redhat-satellite_operations

* Mon Apr 11 2022 Evgeni Golov - 6.11.0-0.10.beta
- Support ansible-core 2.12

* Wed Apr 06 2022 Eric D. Helms <ericdhelms@gmail.com> - 6.11.0-0.9.beta
- Drop receptor dependency

* Mon Apr 04 2022 Eric D. Helms <ericdhelms@gmail.com> - 6.11.0-0.8.beta
- Drop duplicate rubygem-rack obsolete

* Tue Mar 08 2022 Evgeni Golov - 6.11.0-0.7.beta
- BZ#2061688 - obsolete more old rubygems

* Thu Feb 24 2022 Evgeni Golov - 6.11.0-0.6.beta
- BZ#2051374 - correct sinatra obsoletes

* Mon Feb 07 2022 Evgeni Golov - 6.11.0-0.5.beta
- BZ#2051374 - correct sinatra obsoletes

* Fri Feb 04 2022 Patrick Creech <pcreech@redhat.com> - 6.11.0-0.4.beta
- BZ #2024978 - Satellite upgrade to 6.10.1 fails with multiple rubygem-sinatra package dependency errors

* Thu Jan 06 2022 Evgeni Golov - 6.11.0-0.3.beta
- Fix Beta branding

* Mon Dec 20 2021 Patrick Creech <pcreech@redhat.com> - 6.11.0-0.2.beta
- Fix scl_prefix for satellite-common dep on rubygem-rbnacl

* Wed Dec 01 2021 Patrick Creech <pcreech@redhat.com> - 6.11.0-0.1.beta
- Satellite 6.11

* Thu Nov 18 2021 Zach Huntington-Meath <zhunting@redhat.com> - 6.10.1.1-1
- Bump Satellite for 6.10.1.1

* Mon Nov 08 2021 Patrick Creech <pcreech@redhat.com> - 6.10.1-2
- BZ #1919194 - Satellite to tidy up orphaned packages after successful upgrade.

* Sun Nov 07 2021 Zach Huntington-Meath <zhunting@redhat.com> - 6.10.1-1
- Bump Satellite for 6.10.1

* Wed Oct 20 2021 Patrick Creech <pcreech@redhat.com> - 6.10.0-3
- Add sodium dep as well for BZ #1747751

* Thu Oct 14 2021 Patrick Creech <pcreech@redhat.com> - 6.10.0-2
- BZ #1747751 - [RFE] Ruby net-ssh doesn't support 'ed25519' ssh key type.

* Tue Oct 12 2021 Patrick Creech <pcreech@redhat.com> - 6.10.0-1
- Satellite 6.10.0 GA

* Fri Aug 27 2021 Evgeni Golov - 6.10.0-0.9.beta
- BZ #1995650 - really obsolete non-scl passenger

* Thu Aug 19 2021 Eric D. Helms <ericdhelms@gmail.com> - 6.10.0-0.8.beta
- BZ #1995650 - Obsolete non-scl passenger packages

* Tue Aug 17 2021 Eric D. Helms <ericdhelms@gmail.com> - 6.10.0-0.7.beta
- BZ#1469267 - Obsolete rubygem-rake from Satellite repositories

* Tue Aug 10 2021 Eric D. Helms <ericdhelms@gmail.com> - 6.10.0-0.6.beta
- Drop requires on redhat_access

* Tue Jul 20 2021 Odilon Sousa <osousa@redhat.com> - 6.10.0-0.5.beta
- Adding Requires for tfm-rubygem-hammer_cli_foreman_webhooks

* Fri Jun 25 2021 Evgeni Golov - 6.10.0-0.4.beta
- BZ#1976116 - Obsolete passenger

* Thu Jun 17 2021 Evgeni Golov - 6.10.0-0.3.beta
- BZ#1972995 - Obsolete mimemagic

* Tue Jun 15 2021 Evgeni Golov - 6.10.0-0.2.beta
- Obsolete rh-ruby25 packages

* Thu May 06 2021 Eric D. Helms <ericdhelms@gmail.com> - 6.10.0-0.1.beta
- Update to 6.10.0

* Fri Nov 20 2020 Evgeni Golov - 6.9.0-0.3.beta
- Obsolete satellite-capsule and foreman-proxy-content by satellite,
  those packages are only needed on external Capsules.

* Fri Nov 20 2020 Evgeni Golov - 6.9.0-0.2.beta
- BZ#1886023 - Ensure the right Ansible version is installed

* Mon Oct 26 2020 Evgeni Golov - 6.9.0-0.1.beta
- Start 6.9

* Wed Aug 19 2020 Eric D. Helms <ericdhelms@gmail.com> - 6.8.0-1
- Drop beta in release

* Mon Jul 13 2020 Bryan Kearney <bryan.kearney@gmail.com> - 6.8.0-0.7.beta
- Add custom facts that include the satellite version and host type of the
  server

* Thu Jun 18 2020 Evgeni Golov - 6.8.0-0.6.beta
- deprecate arel

* Thu Jun 18 2020 Eric D. Helms <ericdhelms@gmail.com> - 6.8.0-0.5.beta
- Drop requiring passenger

* Tue Jun 02 2020 Evgeni Golov - 6.8.0-0.4.beta
- BZ#1841098 - Obsolete wicked

* Tue May 05 2020 Eric D. Helms <ericdhelms@gmail.com> - 6.8.0-0.3.beta
- Drop foreman-rackspace

* Thu Apr 23 2020 Patrick Creech <pcreech@redhat.com> - 6.8.0-0.2.beta
- Add foreman-service and foreman-dynflow-sidekiq dependencies

* Thu Apr 23 2020 Patrick Creech <pcreech@redhat.com> - 6.8.0-0.1.beta
- 6.8 Beta

* Tue Mar 17 2020 Eric D. Helms <ericdhelms@gmail.com> - 6.6.11-7
- Install ansiblerole-satellite-receptor-installer

* Mon Mar 02 2020 Eric D. Helms <ericdhelms@gmail.com> - 6.6.11-6
- Drop beta release

* Thu Jan 09 2020 Evgeni Golov - 6.6.11-5.beta
- Always install AzureRM plugin

* Thu Nov 21 2019 Evgeni Golov - 6.6.11-4.beta
- Don't obsolete hammer_cli_foreman_docker, we still need that

* Tue Nov 19 2019 Evgeni Golov - 6.6.11-3.beta
- Obsolete foreman_docker and hammer_cli_foreman_docker

* Tue Nov 12 2019 Patrick Creech <pcreech@redhat.com> - 6.6.11-2.beta
- BZ1628782 - Pulp monthly maintenance not being ran on Capsules

* Fri Nov 08 2019 Patrick Creech <pcreech@redhat.com> - 6.6.11-1.beta
- 6.7 Beta

* Wed Sep 11 2019 Jonathon Turel <jturel@redhat.com> - 6.6.0-7
- BZ #1745412 - Fix hammer-cli-csv obsolete

* Tue Aug 20 2019 Evgeni Golov - 6.6.0-6
- BZ #1742872 - drop beta tag

* Wed May 22 2019 Eric D. Helms <ericdhelms@gmail.com> - 6.6.0-5.beta
- Require ansiblerole-foreman_scap_client

* Fri May 10 2019 Evgeni Golov - 6.6.0-4.beta
- Add Obsoletes for digitalocean and autoparse gems

* Thu May 09 2019 Evgeni Golov - 6.6.0-3.beta
- BZ #1670092 - Obsolete Hammer CSV

* Wed Apr 10 2019 Patrick Creech <pcreech@redhat.com> - 6.6.0-2.beta
- Remove foreman_docker

* Tue Apr 09 2019 Eric D. Helms <ericdhelms@gmail.com> - 6.6.0-1.beta
- Release 6.6.0 Beta

* Thu Apr 04 2019 Evgeni Golov - 6.5.0-11
- BZ#1683367 - obsolete a numbe of packages from 6.2 days

* Fri Mar 15 2019 Evgeni Golov - 6.5.0-10
- BZ#1644354 - obsolete groovy, logback and candlepin-common

* Thu Mar 14 2019 Eric D. Helms <ericdhelms@gmail.com> - 6.5.0-9
- Drop beta from satellite

* Thu Mar 07 2019 Evgeni Golov - 6.5.0-8.beta
- BZ #1656043 - add dependency on satellite-maintain

* Thu Mar 07 2019 Eric D. Helms <ericdhelms@gmail.com> - 6.5.0-7.beta
- Fix version setting for beta

* Thu Jan 17 2019 Evgeni Golov - 6.5.0-6.beta
- BZ #1644354 - obsolete ant-junit from Sat 6.0

* Mon Nov 19 2018 Evgeni Golov - 6.5.0-5.beta
- Don't require k-common in satellite-common

* Tue Nov 13 2018 Evgeni Golov - 6.5.0-4.beta
- move f-proxy-content require from satellite-common to -capsule

* Fri Oct 26 2018 Evgeni Golov - 6.5.0-2.beta
- Obsolete tfm-rubygem-useragent

* Wed Oct 24 2018 Evgeni Golov - 6.5.0-1.beta
- Start Satellite 6.5

* Tue Sep 18 2018 Patrick Creech <pcreech@redhat.com> - 6.4.0-15
- BZ #1428541 - [RFE] Need a file-system integrity report for /var/lib/pulp

* Mon Sep 03 2018 Evgeni Golov - 6.4.0-14
- BZ #1621134 - Obsolete tfm-rubygem-net-scp on the capsule

* Mon Aug 27 2018 John Mitsch - 6.4.0-13
- Show warning for satellite-backup and restore

* Wed Aug 22 2018 Patrick Creech <pcreech@redhat.com> - 6.4.0-12
- Drop beta, add pulp-maintenance dependency

* Thu Jul 26 2018 Marek Hulan - 6.4.0-11
- Add hammer ansible plugin dependency

* Mon May 14 2018 Evgeni Golov - 6.4.0-6
- Also obsolete tfm-rubygem-jquery-ui-rails

* Wed May 09 2018 Evgeni Golov - 6.4.0-5
- Also obsolete ruby22/ruby23/ror41/ror42 packages

* Mon Apr 30 2018 Eric D Helms <ericdhelms@gmail.com> 6.4.0-4
- Obsolete lingering ruby193 packages

* Tue Mar 20 2018 Eric D Helms <ericdhelms@gmail.com> 6.3.1-3
- Release 6.3.0-3.0

* Fri Mar 16 2018 Eric D Helms <ericdhelms@gmail.com> 6.3.1-1
- Fix metadata.yml source reference

* Mon Dec 05 2016 Eric D Helms <ericdhelms@gmail.com> 6.3.0-11.1.beta
-

* Mon Dec 05 2016 Eric D Helms <ericdhelms@gmail.com> 6.3.0-12.0.beta
- Update requirements for 6.3.0 (ericdhelms@gmail.com)

* Thu Nov 24 2016 Eric D Helms <ericdhelms@gmail.com> 6.3.0-11.0.beta
-

* Thu Nov 24 2016 Eric D Helms <ericdhelms@gmail.com>
- Bump to Snap 11

* Tue Nov 01 2016 Eric D Helms <ericdhelms@gmail.com> 6.3.0-6.1.beta
- Fix branding plugin requirement (ericdhelms@gmail.com)

* Mon Oct 31 2016 Eric D Helms <ericdhelms@gmail.com> 6.3.0-6.0.beta
- Update satellite RPM for Snap 6.0 (ericdhelms@gmail.com)

* Tue Aug 30 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.2-1.1
-

* Mon Aug 29 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.2-1.0
- First 6.2.2 build (ericdhelms@gmail.com)

* Wed Aug 17 2016 zjhuntin <zhunting@redhat.com> 6.2.1-1.3
- Bump release to 6.2.1-1.3

* Wed Aug 10 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.1-1.2
- Bump release to 1.2 (ericdhelms@gmail.com)

* Tue Aug 02 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.1-1.0
- Release Satellite 6.2.1 (ericdhelms@gmail.com)

* Mon Jul 25 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-21.2
- BZ #1358820 - YUM update fails on dependencies (ericdhelms@gmail.com)

* Thu Jul 21 2016 Zach Huntington-Meath <zhunting@redhat.com> 6.2.0-21.1
-

* Wed Jul 20 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-21.0
- Bump satellite release to 21.0 (ericdhelms@gmail.com)

* Tue Jul 19 2016 Zach Huntington-Meath <zhunting@redhat.com> 6.2.0-20.3
-

* Fri Jul 15 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-20.2
-

* Fri Jul 15 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-20.1
- Bump satellite release to 20.1 (ericdhelms@gmail.com)

* Tue Jul 12 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-20.0
-

* Thu Jul 07 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-19.1
- Automatic commit of package [satellite] minor release [6.2.0-19.0].
  (ericdhelms@gmail.com)

* Tue Jul 05 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-19.0
- BZ #1339788 - Upgrading sat 6.1.9 with openscap installed to 6.2.0 failed
  with dependency error (ericdhelms@gmail.com)

* Thu Jun 30 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-18.2
-

* Mon Jun 27 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-18.0
-

* Mon Jun 20 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-16.11
- Bump Satellite to 16.11 (ericdhelms@gmail.com)
- BZ #1347285 - Unable to add openstack and rackspace compute resources
  (ericdhelms@gmail.com)

* Wed Jun 08 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-15.1.beta
-

* Wed Jun 01 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-14.2
- BZ #1315286 - Remove gutterball and associated functionality
  (ericdhelms@gmail.com)

* Tue May 31 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-14.1
- BZ #1323303 - install satellite-cli with Satellite
  (martin.bacovsky@gmail.com)

* Tue May 24 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-13.0
- Snap 13.0

* Wed May 18 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-12.1
-

* Mon May 16 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-12.0
-

* Mon May 16 2016 Eric D Helms <ericdhelms@gmail.com>
-

* Tue May 10 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-11.0
- Update satellite to Snap 11 (ericdhelms@gmail.com)
- Fixes #1323708 - Branded satellite installer and scenario
  (martin.bacovsky@gmail.com)

* Tue May 03 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-10.0
- BZ #1316458 - Upgrade from 6.1.7 to 6.2 Snap 3 is failing with dependencies
  (ericdhelms@gmail.com)

* Tue Apr 19 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-9.0.beta
- Remove plugins that must be installed through installer (mhulan@redhat.com)

* Thu Apr 14 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-8.2.beta
- Bump to Beta Snap 8.2 (ericdhelms@gmail.com)

* Mon Apr 11 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-8.0.beta
- Bump satellite to Beta Snap 8.0 (ericdhelms@gmail.com)
- BZ #1324615 - [RFE] Please add foreman-ec2 into the 6.2 composes
  (ericdhelms@gmail.com)

* Thu Apr 07 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-6.11.beta
- Snap 6.11 Beta

* Mon Apr 04 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-6.2.beta
- Snap 6.2

* Fri Apr 01 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-6.1.beta
-

* Wed Mar 30 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-6.0.beta
- Bump satellite to Snap 6.0 beta (ericdhelms@gmail.com)

* Thu Mar 24 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-5.2.beta
- Bump satellite to Snap 5.2 (ericdhelms@gmail.com)

* Wed Feb 24 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-4.beta
- Update satellite package for new installer requires (ericdhelms@gmail.com)

* Sat Feb 20 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-3.beta
- Add missing katello-installer to satellite (ericdhelms@gmail.com)

* Sat Feb 20 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-2.beta
- Update satellite for improperly named packages (ericdhelms@gmail.com)
- Customize to use regular builder for satellite package (ericdhelms@gmail.com)

* Fri Feb 19 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-1.beta
- new package built with tito
